<app-loading *ngIf="loading"></app-loading>
<div class="row animated fadeIn" *ngIf="!loading">
    <div class="col-2">
        <img [src]="artista.images | noimage" class="img-thumbnail img-circle">
    </div>
    <div class="col">
        <h3>{{artista.name}} </h3>
        <p>
            <a [href]="artista.external_urls.spotify" target="_blank">
                Ir a la página del artista
            </a>
        </p>
    </div>
    <div class="col-4 text-right">
        <button routerLink="/search" class="btn btn-outline-danger">
            Regresar
        </button>
    </div>
</div>
<div class="row m-2">
    <div class="col">
        <table class="table text-light">
            <thead>
                <tr>
                    <th>Foto</th>
                    <th>Album</th>
                    <th>Canción</th>
                    <th>Vista Previa</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let tracks of topTrackss">
                    <td><img [src]="tracks.album.images | noimage" class="img-thumb"></td>
                    <td>{{tracks.album.name}}</td>
                    <td>{{tracks.name}} </td>
                    <td>
                        <!-- <audio [src]="tracks.preview_url" controls></audio> -->
                        <iframe [src]="tracks.uri | domseguro " width="250" height="80" frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>